:userdoc.

.im src\common.ipf

.* There are some song titles and band names used in the examples in this
.* file. Please do not translate them.

.*-------------------------------------------------------------------------
.*fold00.*About the program

:h1 id=about res=1000.About Gotcha!
:artwork name='src\data\gotcha.bmp' align=center.
:p.&progname. is a small (well, not :hp1.that:ehp1. small any more)
utility for OS/2 which allows to easily capture windows, window interiors,
parts of the screen or the whole desktop and save them to disk or
clipboard as a picture (bitmap format).

:p.&progname. also has features for automatically making a capture every n
seconds or making a capture of the whole screen and then exit (for
commandline scripts e.g). The captures may be saved to disk using any of
three flavours of the bitmap file format.

:p.I wrote &progname. mainly because all other screen capture programs for
OS/2 that I found were either really old and/or part of some big other
program and/or buggy and/or not free.

:p.:hp2.What's new?:ehp2.

:p.You may want to check out the :link refid=history reftype=hd.version
history:elink. to see what features have been added in the various releases.

:p.If there are more things that would fit into the program, send me your
comments about what you would like to have ... (though I do not promise
anything ;-).

:p.:hp2."Registering":ehp2.

:p.&progname. is mailware, so please write me a short mail (or a postcard
or something if you like) if you use &progname.! (see also :link
refid=register reftype=hd."The Top 10 reasons why not to register &progname."
:elink.;-)

.*-------------------------------------------------------------------------
.*fold00.*The windows

:h1 id=windows res=2000.The windows
:p.This section informs you about the various windows of &progname., what
functions they offer and how to use them.

.*-------------------------------------------------------------------------
.*fold00.*The main window

:h2 id=mainwin res=2.The main window
:p.Though I think Gotcha! is pretty simple to use, I'll write a short
description for every of the controls&colon.

:dl break=all tsize=5.
:dt.:hp2.Save image to ...:ehp2.
:dd.Here you can select, where you want to store the captured image. To
copy the image to the clipboard for pasting into other apllications'
documents select "Clipboard". If you want to write the image to a BMP file
to disk, select "File". Easy, isn't it? &colon.-)

:p.If you selected "Prompt for filename" in the :link refid=settings1
reftype=hd.settings window:elink., a file dialog will appear after the
capture happened where you can select or enter the filename of the file
the image should be saved to. If you activated "Autosave to numbered
files ...", the filename will be determined automatically. If you selected
"Force saving to file ...", the image will be always written to exactly
the file you specified there (even if you selected "Clipboard" here).

:dt.:hp2.Options:ehp2.
:dd.Check "Hide &progname." if you want the &progname. window to
mysteriously disappear from the screen (using an ancient tibetian
meditation technique) before the capturing starts. Useful if you want to
make a capture of a maximised window e.g. or if you just can't bear the
look.

:p.Check "Delayed capt." (where "capt." is a neat and striking abreviation
for "capture" as you doubtlessly found out) if you want &progname. to wait
some seconds (configurable in the :link refid=settings3
reftype=hd.settings window:elink.) after you pushed the button/selected
the window/whatever, before the thing is captured. Useful, if you want to
open menus e.g. that should be captured too. If you also selected "Use
serial capture" in the :link refid=settings3 reftype=hd.settings
window:elink., the "serial delay" will be used instead.

:dt.:hp2.Capture ...:ehp2.
:dd.Select one of the buttons (preferably the one that matches with your
intended capturing target). "Screen" will automatically capture the whole
desktop. "Screen region" allows you to select a part of the screen with the
mouse (or the cursor keys); move the lower left corner of the rectangle that
moves with the mousepointer to the lower left corner of the region you want
to capture, press the mousebutton or enter/return key. Size the rectangle by
moving the mouse or using the cursor keys. Press the mousebutton or enter
again to capture the selected region. "Window" will capture a whole window.
Select the window with the mouse. It will rise to the surface and be captured.
"Window interior" works similar, except that it captures only the inner region
of the window (not titlebar, etc.).

:p.To cancel a capture (before it has started, e.g. during the "delayed
capture" delay), just press the escape key (the &progname. main window
must be the active one!) or click the :link refid=snapshot
reftype=hd.snapshot window:elink. with the mouse.

:edl.
:p.By selecting "Product information" from the window's system menu (or
pressing "ALT+A") you get a nice about box where you can get
various info about the program.

:p.By selecting "Settings..." from the window's system menu you will get
the ... yes, exactly, the :link refid=settings reftype=hd.settings
window:elink.! ;-)

.*-------------------------------------------------------------------------
.*fold00.*The settings window

:h2 id=settings res=4.The settings window
:p.The settings window allows you to modify and adjust various things
that modify the behavior of &progname..

:p.Selecting the "Ok" pushbutton at the bottom of the window will close the
settings and activate them. Selecting "Undo" will revert all your changes for
the currently selected page of the notebook.

:p.The settings notebook has the following pages&colon.
:ul compact.
:li.:link refid=settings1 reftype=hd.Saving:elink.
:li.:link refid=settings2 reftype=hd.Snapshot window:elink.
:li.:link refid=settings3 reftype=hd.Misc:elink.
:li.:link refid=language reftype=hd.Language:elink.
:eul.

.*-------------------------------------------------------------------------
.*fold00.*The Saving page
:h3 id=settings1 res=2210.The Saving page
:p.On this page you can select, how the filename for the file, the
captured image should be saved to, will be determined and in what file
format the image should be saved.

:dl break=all tsize=5.

:dt.:hp2.Save type:ehp2.
:dd.Here you may select how the filename for the file, the captured image
should be saved to will be chosen&colon.

:ul.
:li."Prompt for filename" will pop up a file dialog after the capturing,
where you can select or enter the name of the file. Note&colon. Several of
the :link refid=cmdlineargs reftype=hd.command line arguments:elink. will
need to change this settings without further notice!

:li."Autosave to numbered files in directory ..." will not prompt you for
a filename, but &progname. will create one automatically (of the form
"got?????.bmp" where the "?????" will be replaced by a unique number, that
will increase with every saved file). You must give a valid directory in
the entryfield underneath to tell &progname. to what location the files
should be saved to.

:li."Force saving to file ..." will :hp1.always:ehp1. write the image to
the file you give in the entry field underneath, even if you selected
"Clipboard" in the "Save image to ..."  group in the :link refid=mainwin
reftype=hd.main window:elink.. If a file with that name already exists, it
will be overwritten without further warning!

:eul.

:dt.:hp2.Bitmap file format:ehp2.
:dd.Here you may select what format the saved file should have&colon.

:ul.
:li."1.2" is the simple bitmap format. All Windows programs, that claim to
be able to read OS/2 bitmaps assume the files have this format.

:li."1.6" is the original Windows 3.1 bitmap format. Use this for maximum
compatibility.

:li."2.0" is the full OS/2 bitmap file format. None of the Windows
programs I tested could read this format.

:eul.
:edl.
:p.:hp1.Note&colon.:ehp1. I tested the bitmaps written by &progname. with
a number of programs, bitmaps with 4 bits colordepth (16 colors) as well
as bitmaps with 24 bits colordepth (16,777,216 colors). Here are the
programs and what bitmap formats they could read&colon.

:table cols='20 10 5 5 5'.
:row.
:c.Program
:c.System
:c.1.2
:c.1.6
:c.2.0
:row.
:c.OS/2 default viewer
:c.OS/2
:c.Yes
:c.Yes
:c.Yes
:row.
:c.OS/2 icon editor
:c.OS/2
:c.Yes
:c.Yes
:c.Yes
:row.
:c.PMView 1.02
:c.OS/2
:c.Yes
:c.Yes
:c.Yes
:row.
:c.The GIMP/2 1.02
:c.OS/2
:c.No
:c.Yes
:c.No
:row.
:c.Display 1.89
:c.Dos
:c.Yes
:c.Yes
:c.Yes
:row.
:c.PaintShop Pro 3
:c.Windows
:c.Yes
:c.Yes
:c.No
:row.
:c.LView Pro 1.B
:c.Windows
:c.Yes
:c.Yes
:c.No
:etable.

.*-------------------------------------------------------------------------
.*fold00.*The Snapshot window page
:h3 id=settings2 res=3.The Snapshot window page
:p.On this page you can adjust various settings for the :link
refid=snapshot reftype=hd.snapshot window:elink..

:dl break=all tsize=5.

:dt.:hp2.Enable snapshot window:ehp2.
:dd.This button simply determines if you want to have the snapshot window
or not.

:dt.:hp2.Capture type:ehp2.
:dd.Here you may select, what kind of capture should be done, when you
click the snapshot window. This types are the same as for the buttons in
the :link refid=mainwin reftype=hd.main window:elink..

:dt.:hp2.Options:ehp2.
:dd.Some miscellanious options&colon.

:ul.
:li."Always on top of all windows" - If you select this checkbox, the
snapshot window will never be hidden by other windows, but always float on
top of them.

:li."Hide when doing a capture" - This is similar to the "Hide &progname."
checkbox in the :link refid=mainwin reftype=hd.main window:elink.. When
you select this checkbox, the snapshot window will be hidden before a
capture is taken and show up again afterwards.

:eul.
:edl.

.*-------------------------------------------------------------------------
.*fold00.*The Misc page
:h3 id=settings3 res=2230.The Misc page
:p.This page features miscellanious other options.

:dl break=all tsize=5.

:dt.:hp2.Delayed capture:ehp2.
:dd.When you select the "Countdown timer with beeps" checkbox,
&progname. will output a beep for every second of the :link refid=mainwin
reftype=hd.delayed capture:elink. delay time. With the spinbutton below
you can set, how many seconds &progname. should wait when you use
"Delayed capture", before actually taking the capture.

:dt.:hp2.Serial capture:ehp2.
:dd.Using this option, you can &progname. have automatically take a
capture every n seconds. Just select the checkbox and when you take a
capture the next time, &progname. will not stop after the first capture is
done, but wait a number of seconds (that you can adjust with the
spinbutton below) and then capture the screen/screen region/window again.
And again. And again. Until you press the escape key (The main window must
be the active one!) or click the :link refid=snapshot reftype=hd.snapshot
window:elink. (or, in case of a window capture, until the window to be
captured has been closed).
:p.:hp1.Note&colon.:ehp1. The amount of time it takes to make the
actual capture and to write the bitmap to disk is not included in this
delay, as it depends heavily on your system and personal configuration.
So if e.g. you want to make a capture every 10 seconds, but it takes 4
seconds to capture the screen and write the file, you must set the
delay to 6 seconds.

:dt.:hp2.Use sound when capture finished:ehp2.
:dd.Selecting this checkbox will cause &progname. to beep a few times
when the capture is done.

:dt.:hp2.Run &progname. at idle priority:ehp2.
:dd.Selecting this checkbox will cause &progname. to be run at idle process
priority, which basically means that it will run much slower ;-) But it will
only very little "disturb" other programs that need more CPU time.

:edl.

.*-------------------------------------------------------------------------
.*FOLD00.*Language

:h3 id=language res=2240.The Language page
:p.On this page you can select, what language &progname. shall use. You may
select any of the languages that are shown in the list.

:p.:hp1.Note&colon.:ehp1. If you select another language here, it will not
change until you restart the program.

:p.:hp1.Note&colon.:ehp1. If you want to translate &progname. to another
language, you are very welcome to do so! Please see :link refid=helpwanted
reftype=hd."Help wanted!":elink. for more info.

.*-------------------------------------------------------------------------
.*fold00.*The snapshot window

:h2 id=snapshot res=2300.The Snapshot window
:p.This window provides a quick and easy way to take a capture, without
the need to have the :link refid=mainwin reftype=hd.main window:elink.
visible all of the time. Just click inside the snapshot window with the
mouse (button 1) and &progname. will take a capture of the type you can
select on the appropriate page in the :link refid=settings2
reftype=hd.settings window:elink. (or from the context menu that pops up
when you click this window with mousebutton 2).

:p.You may size and position (click with mousebutton 2 and drag it
around) the window as you like, the size and position will be saved and
restored when you start &progname. again.

:p.When using the :link refid=mainwin reftype=hd.delayed capture:elink. or
:link refid=settings3 reftype=hd.serial capture:elink. feature, this
window will also show the amount of seconds left until the (next) capture
will start. You may cancel the capture simply by clicking this window.

.*-------------------------------------------------------------------------
.*fold00.*Commandline arguments
:h1 id=cmdlineargs res=3000.Commandline arguments
:p.In the "Properties" notebook of &progname.'s WPS object or when
starting &progname. from the command line, you may give the following
parameters&colon.

:dl break=all tsize=5.

:dt.:hp2.-q:ehp2.
:dd.This will make &progname. come up in "quiet mode"&colon.

:ul.
:li.The main window will remain hidden/minimized (unless you show/restore
it using the window list e.g.).

:li.You may use the "PrintScreen" key to make a capture of a region of the
screen (For some reason this does not work when a VIO (textmode) window
has the focus).

:li.:link refid=settings3 reftype=hd.Serial capture:elink. will be
disabled by default.

:li.If "Prompt for filename" was selected on the :link refid=settings1
reftype=hd.Saving page:elink. in the settings window, it will be changed
to "Autosave to numbered files ...".

:eul.
:p.You may give a valid path after this switch to tell &progname. to what
directory the captured image(s) should be written to. If you do not give a
path here, the one you entered on the Saving page in the settings window
will be used.

:p.:hp1.Example:ehp1.&colon. If you type "gotcha -q c&colon.\bmps" on the
command line, &progname. will save all the files to the directory
"c&colon.\bmps".

:dt.:hp2.-a:ehp2.
:dd.Kind of a "batch mode" switch.

:ul.
:li.&progname. will not show any windows but just take a capture of
the whole screen, save it to disk and exit.

:li.:link refid=settings3 reftype=hd.Serial capture:elink. and :link
refid=mainwin reftype=hd.delayed capture:elink. will be disabled by
default.

:li.If "Prompt for filename" was selected on the :link refid=settings1
reftype=hd.Saving page:elink. in the settings window, it will be changed
to "Autosave to numbered files ...".

:eul.
:p.You may give a valid path after this switch to tell &progname. to what
directory the captured image should be written to.

:p.:hp1.Example:ehp1.&colon. If you type "gotcha -a c&colon.\" on the
command line, &progname. will save the captured image to the directory
"c&colon.\". If you do not give a path here, the one you entered on the
Saving page in the settings window will be used.

:dt.:hp2.-f:ehp2.
:dd.With this switch you can set the :link refid=settings1
reftype=hd."Force saving to file ..." option:elink. from the command line.
You may give a valid filename after this switch to tell &progname. to what
file the captured image should be written to. If you do not give a
filename here, the one you entered on the Saving page in the settings
window will be used.

:edl.

.*-------------------------------------------------------------------------
.*fold00.*Past, present + future
:h1 id=pastpresentfuture res=5000.Past, present &amp. future
:p.This section provides info about the history of &progname., some info
about (bugs in) the current release and things that may be added or changed
in the future.

.*-------------------------------------------------------------------------
.*fold00.*Version history
:h2 id=history.Version history :p.Here you can see what was added or changed
in the different versions of the program.

:dl break=all tsize=5.

:dt.:hp2.Version 1.65:ehp2.
:dd.Wamm Bamm Thank you M'am! &progname. goes Brazil! Apart from that&colon.
:ul compact.
:li.German language support.
:li.Option to run &progname. at idle priority.
:li.Position of the main window will be saved automatically now.
:li.The snapshot window got a nice context menu.
:li.Fixed a bug that disabled capturing a screen region with the snapshot
window.
:eul.

:dt.:hp2.Version 1.45:ehp2.
:dd.More users' suggestions and more ideas of my own - and I hope less
bugs &colon.-) This is what v1.45 offers&colon.
:ul compact.
:li.The length of the "delayed capture" delay is now configurable.
:li.When waiting for the capture when using "delayed capture", you may
have &progname. output a beep for every second. The countdown is also shown
in the :link refid=snapshot reftype=hd.snapshot window:elink..
:li."Serial capture" feature that allows you to automatically have &progname.
make a capture every n seconds.
:li.You may now select, if &progname. prompts you for a filename when saving
or automatically saves to numbered files or always saves to a file you specify.
:li.You may now tell &progname. to make a capture of the whole screen and then
exit from the :link refid=cmdlineargs reftype=hd.commandline:elink..
:li.You may now choose, in which of three available bitmap file formats the
images should be saved. The code for saving has totally been re-written and
the images should now load correctly everywhere.
:li.&progname. now sets the correct filetype extended attribute for all
saved bitmaps.
:li.You may now turn off the sound, that tells you that the capture is done.
:li.A nice :link refid=settings reftype=hd.settings window:elink. for all
these options.
:li.The :link refid=snapshot reftype=hd.snapshot window:elink. allows
quick and easy capturing without the need to have the main window visible
all of the time.
:eul.

:dt.:hp2.Version 1.10:ehp2.
:dd.Since there were some small bugs in v1.00 and users (as users are ;-)
wanted several things added, v1.10 was released. Changes include&colon.
:ul compact.
:li.Added the "quiet mode" (See :link refid=cmdlineargs reftype=hd.command
line arguments:elink. section for more info about this).
:li.Fixed (hopefully ;-) the bug that caused &progname. to hang on some computers
when trying to capture window (interiors).
:li.Fixed (eventually ;-) the bug that prevented some programs (PMView e.g.) from
loading bitmaps saved by &progname. correctly.
:li.Fixed (presumably ;-) a bug that caused &progname. to save bitmaps with
16 or 256 colors using only 2 colors (why do all the example programs that
I have assume that all bitmaps just use 2 colors??).
:li.Added an option to automatically add the "bmp" extension to the filename,
if the user does not (want to) supply it.
:li.Added an option to have &progname. confirm the overwriting of already
existing files.
:eul.

:dt.:hp2.Version 1.00:ehp2.
:dd.This was the first public version of &progname..

:edl.

.*-------------------------------------------------------------------------
.*fold00.*Bugs

:h2 id=bugs.Known bugs
:p.After the release of v1.00, my assumption about Gotcha! being my yukkiest
code for the past few years proved right, as even the bugs were buggy! ;-)

:ul.

:li.The code for bringing the window to the top (when taking a capture of
a window or window interior) is not very good and may not work correct
from time to time.

:p.I wanted to start the capture only when the window is fully painted
(i.e. all parts that were hidden by other windows are redrawn) but as
there is no way (at least I know of none) to check when the "bringing on
top" is finished other than checking repeatly if it is the topmost window
by now, this routine will not work if there is a floating window on the
screen, as the to be captured window will never be the topmost window
then.

:p.The routine currently tries to wait for the window to come on top, but
if this has not happened for 1.5 seconds, the capture will start anyway.
Yukky, I know, but what can I do?

:li.Not really a bug, but&colon. Doing a screencapture in quiet mode (using
the PrintScreen key) does not work, if a VIO (textmode) window has the focus.
The author is heavily trying to ignore this problem, but eventually it will
be fixed nevertheless someday ;-)

:li.Not really a bug too, but still a little bit annoying&colon. One user
reported, that the background colors of the controls do not match with the
background color of the main window on his system. I tried to fix this by
checking what bg color the controls use and paint the window bg with exactly
that color, but it still seems not to work!?!? I've no idea what to do
about this ...

:eul.

.*-------------------------------------------------------------------------
.*fold00.*Future enhancements

:h2 id=future.Future enhancements
:p.Well, there's still a few things that users requested and that will be
added a long time ago in a galaxy far away ... aarg, a future version I
mean ;-)

:ul.
:li.Remote control feature, that allows you to control &progname.
from other processes using a named pipe.
:li.Saving to other formats like GIF or JPEG.
:li.Allow to specify the window to capture by its name.
:eul.

.*-------------------------------------------------------------------------
.*fold00.*Disclaimer & legal stuff

:h1 id=disclaimer.Disclaimer &amp. legal stuff
:p.Following are the usual disclaimers. For those of you, who have read them
far too many times, here is just the short version&colon.

:p."I didn't do it! I didn't do it! Butthead did it!" ;-)

:p.Everyone else, please read this and keep in mind&colon.

:p.Though this program has been tested quite a lot, there may still be lots
of bugs in it (even serious ones - though I do not think so). Do not blame
me, if this program screws up your files or whatever.

:p.:hp2.YOU ARE USING THIS PROGRAM AT YOUR OWN RISK!:ehp2. I don't take any
responsibillity for damages, problems, custodies, marital disputes,
etc. resulting from use, inability to use, misuse, possession or
non-possession of this program directly or indirectly.
I also don't give any warranty for bug-free operation, fitness
for
a particular purpose or the appropriate behaviour of the program
concerning animals, programers and little children.

:p.THE SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE
PROGRAM IS WITH YOU.  SHOULD THE PROGRAM PROVE DEFECTIVE, YOU
ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

:p.Or, in a few words&colon.
If its good, I am responsible.
If its bad, its all your fault. ;-)

:p.Permission is granted to redistribute this program free of charge,
provided it is distributed in the full archive with unmodified
contents and no profit beyond the price of the media on which it
is distributed is made. Exception to the last rule&colon. It may be
included on freeware/shareware collections on CD-ROM, as well as
on magazine cover CD-ROMs.

:p.All trademarks mentioned anywhere around her are property of their
owners and the like ...

:p.(Strange, this sections is getting longer and longer with every
program ... &colon.-)

.*-------------------------------------------------------------------------
.*FOLD00.*Author & Gotcha! homepage

:h1 id=author.Author &amp. &progname. homepage
:p.:hp7.Author:ehp7.

:dl break=all tsize=5 compact.

:dt.:hp2.Snail mail:ehp2.
:dd.Thorsten Thielen c/o Sascha Weber, Postfach 3928, 54229 Trier, Germany

:dt.:hp2.e-Mail:ehp2.
:dd.&email1.

:dt.:hp2.WWW:ehp2.
:dd.&www.

:dt.:hp2.Fidonet:ehp2.
:dd.&fido. (I rarely check my Fido mail, only once per week or so, so answers
here may take some time)

:edl.

:artwork name='src\data\teamlogo.bmp' align=center.
:p.Proud member of Team OS/2 Region Trier (:hp1.www.teamos2.ipcon.de:ehp1. or
:hp1.&www./teamos2:ehp1.), the makers of the "Team Trier Collection"-CDROM.

:lm margin=1.
:p.
Suggestions and bug-reports are always welcome. Well ... bug-reports
are perhaps not :hp1.that:ehp1. welcome ... ;-)
:p.
.br
:hp7.&progname. homepage:ehp7.
:p.Visit the &progname. homepage for info and new versions&colon.
&www./gotcha

.*-------------------------------------------------------------------------
.*FOLD00.*Help wanted!
:h1 id=helpwanted.Help wanted!
:p.Now that &progname. supports other languages, I of course want to include
as many as possible. The problem is that I only speak english and german well
enough to do a translation &colon.-) So if anybody out there wants to
translate &progname. to a new language you are gladly welcome to do so!

:p.I have included the source for the helpfile and program ressources in a
seperate ZIP archive ('language.zip'). Just take the *.rc and *.hlp file of
your choice and go to work! &colon.-) If you have any questions, feel free to
:link refid=author reftype=hd.ask me:elink.!

:p.If you haven't got the time to do (or just don't feel like doing ;-) a
"full" translation (i.e. program and online help) you may only translate
the program ressources (dialogs, menus, some messages) as well of course!
That would be of much help already ...

.*-------------------------------------------------------------------------
.*fold00.*Credits

:h1 id=credits.Credits
:p.I wish to thank the following people, for their help and support with
&progname.&colon.

:ul.
:li.The sources of PM/Capture OS/2 provided some very helpful examples of how
to do certain things (capture screen to bitmap, saving a bitmap). Thanks to
whoever wrote it (there's no name given ...)
:li.As many of my programs, &progname. also uses a few lines of code (for
inserting items in the system menu) from :hp1.Richard Papo's:ehp1. excellent
"MemSize" systemressources monitor. (You can find out more about MemSize at
http&colon.//www.msen.com/~rpapo).
:li.Many thanks for the translation to (Brazilian) Portuguese go to
rico (what's your second name BTW? &colon.-)
:li.Many thanks go to all users of &progname. for notifying me of bugs (and
"bug bugs" ;-), suggesting interesting new features and testing!
:eul.

.*-------------------------------------------------------------------------
.*fold00.*Registering
:h1 id=register."Registering"
.*:p. if you are satisfied with what &progname. 1.67 offers, you are free to keep
.*using this version ... but please keep in mind that it lacks many useful
.*functions that are present in newer versions and that it is not supported
.*any longer!
:p.You can become a registered user for &progname. (1.65) just by :link
refid=author reftype=hd.sending an e-mail (or postcard or whatever) to
me:elink.. Actually this is required, if you use &progname. (more than once a
year or so ;-). Just write something like "Hi, I use your program &progname.!"
and I'm satisfied. If you do :hp1.not:ehp1. want to be included in the mailing
list for news and infos about &progname. do not forget to tell me!

But I think there are some people out there who have seen &progname.,
worked with it for a while but just don't want to register by writing me a
mail. Well, for you I've assembled this list of ...
:p.:hp2.The Top 10 reasons why not to register &progname.:ehp2.

:ul compact.

:li.In my opinion, &progname. is a pretty bad program. I don't like the buttons,
the window or the other stuff it offers. I even heard, that there once really
was found a bug! Not to mention the crappy support; writing an e-mail to get
help is far to complicated.

:li.I'm totally satisfied with anything that &progname. 1.45 offers. I'll
find my own workarounds for this bugs that might be discovered! I'm never
going to use whatever features might be added! So spare me by your updates ...

:li.Who cares for info on new releases? Why should I get on yet another of
these mailing-lists? My mailbox is overflowing on a regular base and I'm
daily checking the "incoming" directory of Hobbes anyway!

:li.I just can't spare the time to write a mail to you! See, I've got a job,
a wife, 10 kids or so, a girlfriend, a car, a house, a swimming pool and
1000 desktops that I still haven't captured, so I'm really busy night
and day! I really don't want to think of what I would miss in this lost five
minutes ...

.*:li.$10 is far too much money for this program! For this big amount I could,
.*well, buy half of an audio CD! I could go out to dinner with my friend (well,
.*at least if we have already eaten before). I could think of thousand things
.*more ...

:li.Why should I make you feel that it's a good thing to develop software for
OS/2? There are far to many programs for OS/2 already, we don't want to get
the market oversupplied, do we?

:li.There are lot's of other programs out there, that do the thing! Well ok,
maybe they don't have that nice PM interface, might be that they are lacking
a lot of the functionallity that &progname. offers and maybe actually there
are only one or two of them, but at least I don't have to spend hours and
hours writing longish mails to their authors!

:li.I don't find supporting the mailware concept of any use. Developers
giving away fully working programs and then hoping that someone actually will
write a mail when using them, when (s)he can get away without, are an all too
trustfull bunch of fools!

:li.Why should I try to support OS/2 software? OS/2 is dead, believe me!
"I'm Bill Gates of MicroBorg. This OS will be assimilated. Development is
futile."

:li.The idea of kidnapping innocent pixels from the screen and imprisoning
them in stupid, useless, conformistic bitmaps violates my religious and
moral beliefs! People providing the means to allow such terrible crimes are a
shame to the whole society of computer users! This is most surely another proof
of the depravity of the modern world. Things like that would never have been
possible back in the good old days ... [Author's note&colon. You bet! Ever
tried to make a "screen capture" of a dinosaur's front-panel diagnostic
lights? ;-]

:li.I can't write! I don't know how to send e-mail!! I don't even have an
account!!! And I'm using Windows!!!!

:eul.

.*-------------------------------------------------------------------------
.*fold00.*Dedication

:h1 id=dedication.Dedication
:p.:artwork name='src\data\rosaleen.bmp' align=center.
:hp2.
.ce Gotcha! is dedicated to Rosaleen.
:ehp2.

.*-------------------------------------------------------------------------

:euserdoc.
